Page MenuHomePhabricator

Unknown dependency: mw.externalguidance.init
Closed, ResolvedPublic

Description

On desktop Minerva I get a JS error on all pages.

Error: Unknown dependency: mw.externalguidance.init
    at sortDependencies (load.php?lang=en-gb&modules=startup&only=scripts&skin=minerva:8)
    at resolveStubbornly (load.php?lang=en-gb&modules=startup&only=scripts&skin=minerva:9)
    at Object.load (load.php?lang=en-gb&modules=startup&only=scripts&skin=minerva:21)
    at VM66 Spain:9
    at Array.RLQ.push (load.php?lang=en-gb&modules=startup&only=scripts&skin=minerva:108)
    at load.php?lang=en-gb&modules=startup&only=scripts&skin=minerva:108
    at load.php?lang=en-gb&modules=startup&only=scripts&skin=minerva:108

This is adding unnecessary noise to our error logging graphs, please fix ASAP.

QA steps

https://en.wikipedia.org/wiki/Spain?useskin=minerva

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2019, 11:16 PM

Change 500708 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/extensions/ExternalGuidance@master] Remove mobile/desktop targets from extension.json

https://gerrit.wikimedia.org/r/500708

The patch above removes the "targets" from the extension.json file.
I think what was happening is that since the targets were set to "mobile", they weren't being loaded on Minerva desktop.

I think that setting the skinScripts to minerva in extension.json, and having the BeforePageDisplay hook check for the minerva skin is sufficient to limit these modules to Minerva, correct?

Change 500708 merged by jenkins-bot:
[mediawiki/extensions/ExternalGuidance@master] Remove mobile/desktop targets from extension.json

https://gerrit.wikimedia.org/r/500708

Change 502365 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/ExternalGuidance@master] Restore ExternalGuidance RL modules on mobile

https://gerrit.wikimedia.org/r/502365

Jdlrobson raised the priority of this task from High to Unbreak Now!.Apr 9 2019, 12:20 AM

I'm still seeing this problem in wmf24
It looks like the fix was wrong and it's taken the feature completely offline on mobile.

This has caused a 800% increase in errors in production
https://grafana.wikimedia.org/d/000000566/overview?panelId=15&fullscreen&orgId=1

@santhosh can you test the fix and get this SWATed ASAP?

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptApr 9 2019, 12:20 AM

Change 502371 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/ExternalGuidance@wmf/1.33.0-wmf.24] Restore ExternalGuidance RL modules on mobile

https://gerrit.wikimedia.org/r/502371

cc analytics and RelEng as there's potential for a lot of traffic to EventLogging (I've seen 80k a minute) to the WebClientError schema due to to this problem while it remains unfixed. I'm not sure how much as I don't know enough about the ExternalGuidance extension to know how widely used it is . I've prepared a fix but I can't get this SWATed right now as it's the end of San Francisco day.

Change 502365 merged by jenkins-bot:
[mediawiki/extensions/ExternalGuidance@master] Restore ExternalGuidance RL modules on mobile

https://gerrit.wikimedia.org/r/502365

Change 502371 merged by jenkins-bot:
[mediawiki/extensions/ExternalGuidance@wmf/1.33.0-wmf.24] Restore ExternalGuidance RL modules on mobile

https://gerrit.wikimedia.org/r/502371

Mentioned in SAL (#wikimedia-operations) [2019-04-09T02:40:06Z] <krinkle@deploy1001> Synchronized php-1.33.0-wmf.24/extensions/ExternalGuidance/extension.json: I8614f63960bc763 / T219841 (duration: 00m 53s)

Krinkle lowered the priority of this task from Unbreak Now! to High.Apr 9 2019, 2:41 AM

Mentioned in SAL (#wikimedia-operations) [2019-04-09T03:23:07Z] <krinkle@deploy1001> Synchronized php-1.33.0-wmf.24/extensions/ExternalGuidance/extension.json: Id04a3a4f40a884 / T219841 (duration: 00m 52s)

Thank you @Krinkle for taking care of this.

cc analytics and RelEng as there's potential for a lot of traffic to EventLogging (I've seen 80k a minute) to the WebClientError schema

AIUI it was traffic to statsv, incrementing the MediaWiki.minerva.WebClientError counter (see https://graphite.wikimedia.org/S/b).

Jdlrobson closed this task as Resolved.Apr 9 2019, 7:39 PM
Jdlrobson claimed this task.

Errors are back to their normal level. Thanks all.

KartikMistry moved this task from Backlog to Done on the ExternalGuidance board.Apr 10 2019, 8:08 AM